#ifndef PADFORM_H
#define PADFORM_H

#include <QDialog>

namespace Ui {
class PadForm;
}

class PadForm : public QDialog
{
    Q_OBJECT

public:
    explicit PadForm(QWidget *parent = 0);
    ~PadForm();

private:
    Ui::PadForm *ui;

private slots:
    /* 功能:数字点击对应操作
     * 参数:NULL
     * 返回:NULL
     * */
    void onNumClicked();
    /* 功能:删除按钮对应操作
     * 参数:NULL
     * 返回:NULL
     * */
    void on_padBtnDel_clicked();
    /* 功能:清空按钮对应操作
     * 参数:NULL
     * 返回:NULL
     * */
    void on_padBtnClose_clicked();

signals:
    void numClicked(const QString& num);
    void numDelete();
    void numClear();
};

#endif // PADFORM_H
